package com.javaseleniumtemplate.pages;

import com.javaseleniumtemplate.bases.PageBase;
import org.openqa.selenium.By;
import org.openqa.selenium.interactions.Actions;

public class RevisarQuantidadePMEPage extends PageBase {

    //Mapping
    By ClicarMenu = By.xpath("//i[@class='v-icon notranslate mdi mdi-menu theme--light']");
    By CampodePesquisa = By.id("menuSearchInput");
    By ClicarnaTelaPrato = By.xpath("//a[@id='5209739341401591282623']//div[@class='v-list-item__title']");

    By SetaParaSelecionarMenu = By.xpath("//i[@class='v-icon notranslate mdi mdi-chevron-down theme--light']");
    By SelecionarMenuRevisarQuantidade = By.xpath("//p[text()='Revisar Quantidades']");

    //PratoPadrao
    By ClicarParaSelecionarPratoInicial = By.xpath("//input[@id='PRATOINICIAL']");
    By SelecionarPratoInicial = By.xpath("//div[text()='00.00.00.000 | ARROZ TEMPEREADO']");
    By ClicarParaSelecionarPratoFinal = By.xpath("//input[@id='PRATOFINAL']");
    By SelecionarPratoFinal = By.xpath("//div[text()='00.01.00.001 | FEIJOADA TRANSPORTADA']");
    By PreencherCampoQuantidade = By.xpath("//input[@name='QUANTIDADE']");
    By CheckSelecionarPratos = By.xpath("//div[@id='gridRevisarQtd']//div[@class='v-data-table__wrapper']//div[@class='v-input--selection-controls__ripple']");


    By CampoSelecionarReceita = By.xpath("//input[@id='TPRECEITA']");
    By SelecionarReceitaTipoCard = By.xpath("//div[text()='Tipo de Cardápio']");
    By CampoSelecionarTipoCardp = By.xpath("//input[@id='TIPOCARD']");
    By SelecionarTipoCardp = By.xpath("//div[text()='0000000002 | ALMOÇO INFANTIL']");
    By SelecionarCheckArvore = By.xpath("//div[@id='gridRevisarQtd']//td[@class='zd-table-cell selectable']//div[@class='v-input zd-grid-row-checkbox v-input--hide-details theme--light v-input--selection-controls v-input--checkbox']");
    By CampoQuantidade = By.xpath("//div[@name='QUANTIDADE']//div[@class='v-input__control']");

    By ClicarOpcaoConfirmar = By.xpath("//div[@class=\"v-card__text zd-modal-card-text\"]//div[@grid=\"[object Object]\"]//button[@id=\"salvar\"]");

    By SelecionarReceitaLocal = By.xpath("//div[text()='Local']");
    By CampoSelecionarUnidade = By.xpath("//input[@id='UNIDADE']");
    By SelecionarUnidade = By.xpath("//div[text()='0003 | DEPOSITO BC 111']");

    By SelecionarReceitaServico = By.xpath("//div[@class='v-list-item v-list-item--link theme--light']//div[text()='Serviço']");
    By CampoSelecionarServico = By.xpath("//input[@id='SERVICO']");
    By SelecionarServico = By.xpath("//div[text()='00008 | ALMOÇO INFT']");

    //Actions
    public void AcessarTela() {
        tempo();
        click(ClicarMenu);
        sendKeys(CampodePesquisa, "Prato");
        tempo();
        click(ClicarnaTelaPrato);
    }

    public void TelaRevisarQuantidade(){
        tempo();
        click(SetaParaSelecionarMenu);
        click(SelecionarMenuRevisarQuantidade);
    }

    public void ReceitaTipoCard() {
        tempo();
        click(CampoSelecionarReceita);
        click(SelecionarReceitaTipoCard);
        click(CampoSelecionarTipoCardp);
        click(SelecionarTipoCardp);
        click(ClicarParaSelecionarPratoInicial);
        click(SelecionarPratoInicial);
        tempo();
        click(ClicarParaSelecionarPratoFinal);
        click(SelecionarPratoFinal);
        tempo();
    }

        public void InformarQuantidade(){
        tempo();
        Actions actions = new Actions(driver);
        actions.moveToElement(driver.findElement(CampoQuantidade)).click().build().perform();
        tempo();
        actions.sendKeys("2,22").build().perform();
        click(CampoQuantidade);
        }

        public void SelecionarArvoredePrato(){
        tempo();
        Actions actions = new Actions(driver);
        actions.moveToElement(driver.findElement(SelecionarCheckArvore)).click().build().perform();
        tempo();
        tempo();
        click(SelecionarCheckArvore);
        tempo();
    }

    public void ConfirmarAlteracao(){
        tempo();
        click(ClicarOpcaoConfirmar);
    }

    public void ReceitaLocal(){
        tempo();
        click(CampoSelecionarReceita);
        click(SelecionarReceitaLocal);
        click(CampoSelecionarUnidade);
        click(SelecionarUnidade);
        click(ClicarParaSelecionarPratoInicial);
        click(SelecionarPratoInicial);
        tempo();
        click(ClicarParaSelecionarPratoFinal);
        click(SelecionarPratoFinal);
        click(ClicarOpcaoConfirmar);
        tempo();
    }

    public void ReceitaServico(){
        tempo();
        click(CampoSelecionarReceita);
        click(SelecionarReceitaServico);
        click(CampoSelecionarUnidade);
        click(SelecionarUnidade);
        click(CampoSelecionarServico);
        click(SelecionarServico);
        click(ClicarParaSelecionarPratoInicial);
        click(SelecionarPratoInicial);
        tempo();
        click(ClicarParaSelecionarPratoFinal);
        click(SelecionarPratoFinal);
        click(ClicarOpcaoConfirmar);
        tempo();
    }

}
